Storefront API
Get storefront item
Get an active product or service published by a workspace.
GET
/storefront/v1/{workspaceSlug}/catalogue/items/{handle}Request
Path, query, and JSON body fields accepted by this operation.
workspaceSlugstringrequiredpathmin length 1max length 64handlestringrequiredpathmin length 1max length 120currencyCodestringrequiredquerymin length 3max length 3quantityintegerquerydefault 1min 1max 10000atstring<date-time>query
Response
Successful responses use Dawn's data envelope.
dataStorefrontCatalogueItemrequiredidstring<uuid>requiredkind"product" | "service"requiredhandlestringrequiredmin length 1max length 120namestringrequiredmin length 1max length 160descriptionstring | nullrequiredmax length 5000referencestring | nullrequiredmin length 1max length 120serviceDurationMinutesinteger | nullrequiredmin 5max 1440priceobject | nullrequiredpriceIdstring<uuid>requiredtype"base" | "override" | "sale"requiredcurrencyCodestringrequiredmin length 3max length 3unitAmountintegerrequiredmin 0max 100000000000originalPriceIdstring<uuid> | nullrequiredoriginalUnitAmountinteger | nullrequiredmin 0max 100000000000
metaobject
Errors
Error responses use the shared error envelope.
404The storefront item could not be found.422The storefront request is invalid.503The storefront is temporarily unavailable.
Last updated on